Modify

Opened 6 years ago

Closed 3 years ago

#10824 closed defect (fixed)

WRT400N 5GHz Radio Not Working

Reported by: hammmy@… Owned by: developers
Priority: normal Milestone: Barrier Breaker 14.07
Component: base system Version: Backfire 10.03.1 RC6
Keywords: WRT400N 5GHz Cc:

Description

(Output of "wifi up" in Putty SSH session)
(Working phy0 output deleted hereafter)
(Mode under Advanced Settings in Luci set to "auto")
(Channel under General Setup set to "auto")
(Interface mode set to "Access Point")

Configuration file: /var/run/hostapd-phy1.conf
Hardware does not support configured mode
wlan1: IEEE 802.11 Hardware does not support configured mode (1)
Could not select hw_mode and channel. (-2)
wlan1: Unable to setup interface.
rmdir[ctrl_interface]: No such file or directory
Failed to start hostapd for phy1

(Mode "802.11a+n")
(Channel "custom", "36")
(Interface mode "Access Point")

Configuration file: /var/run/hostapd-phy1.conf
channel [0] (36) is disabled for use in AP mode, flags: 0x57
wlan1: IEEE 802.11 Configured channel (36) not found from the channel list of current mode (2) IEEE 802.11a
wlan1: IEEE 802.11 Hardware does not support configured channel
Could not select hw_mode and channel. (-4)
wlan1: Unable to setup interface.
rmdir[ctrl_interface]: No such file or directory
Failed to start hostapd for phy1

Selecting modes "802.11a" or "802.11a+n" has no effect although the error messages only output 802.11a as the selected mode regardless.

No channels are listed as options from the Channel dropdown menu, except on initial configuration where "36" is given as an option. After selecting "auto" or "custom", the "36" option has disappeared and has not reappeared for me.

Channels 36, 48, 149, and 165 have the same results.

Selecting an interface mode other than "Access Point" or "Access Point (WDS)" results in no output from "wifi up" for phy1.

Attachments (0)

Change History (23)

comment:1 Changed 6 years ago by anonymous

I'm having the same problem setting up my WRT400N. Luckily the 5GHz radio on my primary WNDR3800 works fine but I would like to add stronger coverage at the other end of my house. I was getting an error about the channel not being allowed before I updated regulatory.bin from http://mirror2.openwrt.org/sources/2011.04.28-regulatory.bin.

iw list:

Wiphy phy1
        Band 1:
                Capabilities: 0x11ce
                        HT20/HT40
                        SM Power Save disabled
                        RX HT40 SGI
                        TX STBC
                        RX STBC 1-stream
                        Max AMSDU length: 3839 bytes
                        DSSS/CCK HT40
                Maximum RX AMPDU length 65535 bytes (exponent: 0x003)
                Minimum RX AMPDU time spacing: 8 usec (0x06)
                HT TX/RX MCS rate indexes supported: 0-15
                Frequencies:
                        * 5180 MHz [36] (17.0 dBm) (passive scanning, no IBSS)
                        * 5200 MHz [40] (17.0 dBm) (passive scanning, no IBSS)
                        * 5220 MHz [44] (17.0 dBm) (passive scanning, no IBSS)
                        * 5240 MHz [48] (17.0 dBm) (passive scanning, no IBSS)
                        * 5260 MHz [52] (17.0 dBm) (passive scanning, no IBSS, radar detection)
                        * 5280 MHz [56] (17.0 dBm) (passive scanning, no IBSS, radar detection)
                        * 5300 MHz [60] (17.0 dBm) (passive scanning, no IBSS, radar detection)
                        * 5320 MHz [64] (17.0 dBm) (passive scanning, no IBSS, radar detection)
                        * 5500 MHz [100] (disabled)
                        * 5520 MHz [104] (disabled)
                        * 5540 MHz [108] (disabled)
                        * 5560 MHz [112] (disabled)
                        * 5580 MHz [116] (disabled)
                        * 5600 MHz [120] (disabled)
                        * 5620 MHz [124] (disabled)
                        * 5640 MHz [128] (disabled)
                        * 5660 MHz [132] (disabled)
                        * 5680 MHz [136] (disabled)
                        * 5700 MHz [140] (disabled)
                        * 5745 MHz [149] (20.0 dBm) (passive scanning, no IBSS)
                        * 5765 MHz [153] (20.0 dBm) (passive scanning, no IBSS)
                        * 5785 MHz [157] (20.0 dBm) (passive scanning, no IBSS)
                        * 5805 MHz [161] (20.0 dBm) (passive scanning, no IBSS)
                        * 5825 MHz [165] (20.0 dBm) (passive scanning, no IBSS)

dmesg:

cfg80211: Calling CRDA for country: CA
cfg80211: Regulatory domain changed to country: CA
cfg80211:     (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
cfg80211:     (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
cfg80211:     (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
cfg80211:     (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (5490000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
device wlan1 entered promiscuous mode
br-lan: port 4(wlan1) entering forwarding state
device wlan1 left promiscuous mode
br-lan: port 4(wlan1) entering disabled state
device wlan0 left promiscuous mode
br-lan: port 3(wlan0) entering disabled state
device wlan0 entered promiscuous mode
br-lan: port 3(wlan0) entering forwarding state
device wlan0 left promiscuous mode
br-lan: port 3(wlan0) entering disabled state
device wlan0 entered promiscuous mode
br-lan: port 3(wlan0) entering forwarding state
cfg80211: Calling CRDA for country: FR
cfg80211: Regulatory domain changed to country: FR
cfg80211:     (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
cfg80211:     (2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm)
cfg80211:     (5170000 KHz - 5250000 KHz @ 40000 KHz), (N/A, 2000 mBm)
cfg80211:     (5250000 KHz - 5330000 KHz @ 40000 KHz), (N/A, 2000 mBm)
cfg80211:     (5490000 KHz - 5710000 KHz @ 40000 KHz), (N/A, 2700 mBm)
device wlan1 entered promiscuous mode
br-lan: port 4(wlan1) entering forwarding state
device wlan1 left promiscuous mode
br-lan: port 4(wlan1) entering disabled state

comment:2 Changed 6 years ago by anonymous

Nevermind, I fixed it by grabbing the regulatory.bin mentioned in the WNDR3700 wiki.

comment:3 Changed 6 years ago by hammmy@…

Thanks, that seems to have gotten the radio up, or at least the WRT400N reports it is. I'll test later tonight when I get a 5GHz device home.

Here's the gist from the WNDR3700 wiki: input the following code in a SSH session (PuTTY is a good client) and you will delete your existing regulatory reference file (regulatory.bin) and replace it with one that works and is hosted on the web.

cd /usr/lib/crda/
rm regulatory.bin
wget http://datatomb.de/mirror/stuff/regulatory.bin
reboot

With that, the radio will now start and even accept 40MHz channels but does not accept transmit power greater than 13dBm, even though that regulatory file essentially strips away regulation for the US country code. Perhaps 13dBm represents the hardware limitation for the 5GHz radio? I wouldn't think so, given that the transmit power allowed at the low end of the 5GHz band is 40mW and the high end is 800mW.

comment:4 Changed 6 years ago by David

cd /usr/lib/crda/
rm regulatory.bin
wget http://datatomb.de/mirror/stuff/regulatory.bin
reboot

This fixed my WR-740N 4.2
Althought I bought it on Spain it got "0x00" for domain...so reverted to US defaults.

I was depressed thinking that I had to compile myself for fixing it...this worked for me

comment:5 Changed 6 years ago by nbd

  • Resolution set to fixed
  • Status changed from new to closed

fixed in r31954

comment:6 Changed 6 years ago by OP

  • Resolution fixed deleted
  • Status changed from closed to reopened

What did you change? I'm using r32062 and the 5GHz radio does not want to come up. /usr/lib/crda no longer exists and searching for regulatory.bin in WinSCP turns up nothing.

comment:7 Changed 6 years ago by nbd

show me the output of the following commands:

iw phy0 info     # use phy1 if that's your 5 ghz radio
iw reg get

the change fixed some race conditions related to regulatory domain changes

comment:8 Changed 6 years ago by OP

root@OpenWrt:~# iw phy1 info
Wiphy phy1
        Band 1:
                Capabilities: 0x11ce
                        HT20/HT40
                        SM Power Save disabled
                        RX HT40 SGI
                        TX STBC
                        RX STBC 1-stream
                        Max AMSDU length: 3839 bytes
                        DSSS/CCK HT40
                Maximum RX AMPDU length 65535 bytes (exponent: 0x003)
                Minimum RX AMPDU time spacing: 8 usec (0x06)
                HT TX/RX MCS rate indexes supported: 0-15
                Frequencies:
                        * 5180 MHz [36] (17.0 dBm) (passive scanning, no IBSS)
                        * 5200 MHz [40] (17.0 dBm) (passive scanning, no IBSS)
                        * 5220 MHz [44] (17.0 dBm) (passive scanning, no IBSS)
                        * 5240 MHz [48] (17.0 dBm) (passive scanning, no IBSS)
                        * 5260 MHz [52] (17.0 dBm) (passive scanning, no IBSS, radar detection)
                        * 5280 MHz [56] (17.0 dBm) (passive scanning, no IBSS, radar detection)
                        * 5300 MHz [60] (17.0 dBm) (passive scanning, no IBSS, radar detection)
                        * 5320 MHz [64] (17.0 dBm) (passive scanning, no IBSS, radar detection)
                        * 5500 MHz [100] (disabled)
                        * 5520 MHz [104] (disabled)
                        * 5540 MHz [108] (disabled)
                        * 5560 MHz [112] (disabled)
                        * 5580 MHz [116] (disabled)
                        * 5600 MHz [120] (disabled)
                        * 5620 MHz [124] (disabled)
                        * 5640 MHz [128] (disabled)
                        * 5660 MHz [132] (disabled)
                        * 5680 MHz [136] (disabled)
                        * 5700 MHz [140] (disabled)
                        * 5745 MHz [149] (20.0 dBm) (passive scanning, no IBSS)
                        * 5765 MHz [153] (20.0 dBm) (passive scanning, no IBSS)
                        * 5785 MHz [157] (20.0 dBm) (passive scanning, no IBSS)
                        * 5805 MHz [161] (20.0 dBm) (passive scanning, no IBSS)
                        * 5825 MHz [165] (20.0 dBm) (passive scanning, no IBSS)
                Bitrates (non-HT):
                        * 6.0 Mbps
                        * 9.0 Mbps
                        * 12.0 Mbps
                        * 18.0 Mbps
                        * 24.0 Mbps
                        * 36.0 Mbps
                        * 48.0 Mbps
                        * 54.0 Mbps
        max # scan SSIDs: 4
        max scan IEs length: 2261 bytes
        Coverage class: 0 (up to 0m)
        Supported Ciphers:
                * WEP40 (00-0f-ac:1)
                * WEP104 (00-0f-ac:5)
                * TKIP (00-0f-ac:2)
                * CCMP (00-0f-ac:4)
                * CMAC (00-0f-ac:6)
        Available Antennas: TX 0x3 RX 0x3
        Configured Antennas: TX 0x3 RX 0x3
        Supported interface modes:
                 * IBSS
                 * managed
                 * AP
                 * AP/VLAN
                 * WDS
                 * monitor
                 * mesh point
                 * P2P-client
                 * P2P-GO
        software interface modes (can always be added):
                 * AP/VLAN
                 * monitor
        valid interface combinations:
                 * #{ managed, WDS, P2P-client } <= 2048, #{ IBSS, AP, mesh point, P2P-GO } <= 8,
                   total <= 2048, #channels <= 1
        Supported commands:
                 * new_interface
                 * set_interface
                 * new_key
                 * new_beacon
                 * new_station
                 * new_mpath
                 * set_mesh_params
                 * set_bss
                 * authenticate
                 * associate
                 * deauthenticate
                 * disassociate
                 * join_ibss
                 * join_mesh
                 * remain_on_channel
                 * set_tx_bitrate_mask
                 * action
                 * frame_wait_cancel
                 * set_wiphy_netns
                 * set_channel
                 * set_wds_peer
                 * Unknown command (82)
                 * Unknown command (81)
                 * Unknown command (84)
                 * Unknown command (87)
                 * Unknown command (85)
                 * connect
                 * disconnect
        Supported TX frame types:
                 * IBSS: 0x0000 0x0010 0x0020 0x0030 0x0040 0x0050 0x0060 0x0070 0x0080 0x0090 0x00a0 0x00b0 0x00c0 0x00d0 0x00e0 0x00f0
                 * managed: 0x0000 0x0010 0x0020 0x0030 0x0040 0x0050 0x0060 0x0070 0x0080 0x0090 0x00a0 0x00b0 0x00c0 0x00d0 0x00e0 0x00f0
                 * AP: 0x0000 0x0010 0x0020 0x0030 0x0040 0x0050 0x0060 0x0070 0x0080 0x0090 0x00a0 0x00b0 0x00c0 0x00d0 0x00e0 0x00f0
                 * AP/VLAN: 0x0000 0x0010 0x0020 0x0030 0x0040 0x0050 0x0060 0x0070 0x0080 0x0090 0x00a0 0x00b0 0x00c0 0x00d0 0x00e0 0x00f0
                 * mesh point: 0x0000 0x0010 0x0020 0x0030 0x0040 0x0050 0x0060 0x0070 0x0080 0x0090 0x00a0 0x00b0 0x00c0 0x00d0 0x00e0 0x00f0
                 * P2P-client: 0x0000 0x0010 0x0020 0x0030 0x0040 0x0050 0x0060 0x0070 0x0080 0x0090 0x00a0 0x00b0 0x00c0 0x00d0 0x00e0 0x00f0
                 * P2P-GO: 0x0000 0x0010 0x0020 0x0030 0x0040 0x0050 0x0060 0x0070 0x0080 0x0090 0x00a0 0x00b0 0x00c0 0x00d0 0x00e0 0x00f0
        Supported RX frame types:
                 * IBSS: 0x00d0
                 * managed: 0x0040 0x00d0
                 * AP: 0x0000 0x0020 0x0040 0x00a0 0x00b0 0x00c0 0x00d0
                 * AP/VLAN: 0x0000 0x0020 0x0040 0x00a0 0x00b0 0x00c0 0x00d0
                 * mesh point: 0x00b0 0x00c0 0x00d0
                 * P2P-client: 0x0040 0x00d0
                 * P2P-GO: 0x0000 0x0020 0x0040 0x00a0 0x00b0 0x00c0 0x00d0
        Device supports RSN-IBSS.
        HT Capability overrides:
                 * MCS: ff ff ff ff ff ff ff ff ff ff
                 * maximum A-MSDU length
                 * supported channel width
                 * short GI for 40 MHz
                 * max A-MPDU length exponent
                 * min MPDU start spacing
        Device supports TX status socket option.
        Device supports HT-IBSS.
root@OpenWrt:~# iw reg get
country US:
        (2402 - 2472 @ 40), (3, 27)
        (5170 - 5250 @ 40), (3, 17)
        (5250 - 5330 @ 40), (3, 20), DFS
        (5490 - 5600 @ 40), (3, 20), DFS
        (5650 - 5710 @ 40), (3, 20), DFS
        (5735 - 5835 @ 40), (3, 30)

comment:9 Changed 6 years ago by nbd

and a dmesg please

comment:10 Changed 6 years ago by OP

Wall of text inc!

[    0.000000]  memory: 02000000 @ 00000000 (usable)
[    0.000000] Initrd not found or empty - disabling initrd
[    0.000000] Zone PFN ranges:
[    0.000000]   Normal   0x00000000 -> 0x00002000
[    0.000000] Movable zone start PFN for each node
[    0.000000] Early memory PFN ranges
[    0.000000]     0: 0x00000000 -> 0x00002000
[    0.000000] On node 0 totalpages: 8192
[    0.000000] free_area_init_node: node 0, pgdat 80314410, node_mem_map 8100000  0
[    0.000000]   Normal zone: 64 pages used for memmap
[    0.000000]   Normal zone: 0 pages reserved
[    0.000000]   Normal zone: 8128 pages, LIFO batch:0
[    0.000000] pcpu-alloc: s0 r0 d32768 u32768 alloc=1*32768
[    0.000000] pcpu-alloc: [0] 0
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pag  es: 8128
[    0.000000] Kernel command line:  board=WRT400N console=ttyS0,115200 rootfsty  pe=squashfs,jffs2 noinitrd
[    0.000000] PID hash table entries: 128 (order: -3, 512 bytes)
[    0.000000] Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
[    0.000000] Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
[    0.000000] Primary instruction cache 64kB, VIPT, 4-way, linesize 32 bytes.
[    0.000000] Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32   bytes
[    0.000000] Writing ErrCtl register=00000000
[    0.000000] Readback ErrCtl register=00000000
[    0.000000] Memory: 29000k/32768k available (2200k kernel code, 3768k reserve  d, 570k data, 200k init, 0k highmem)
[    0.000000] SLUB: Genslabs=9, HWalign=32, Order=0-3, MinObjects=0, CPUs=1, No  des=1
[    0.000000] NR_IRQS:48
[    0.000000] Calibrating delay loop... 452.19 BogoMIPS (lpj=2260992)
[    0.060000] pid_max: default: 32768 minimum: 301
[    0.060000] Mount-cache hash table entries: 512
[    0.070000] NET: Registered protocol family 16
[    0.070000] gpiochip_add: registered GPIOs 0 to 15 on device: ath79
[    0.080000] MIPS: machine is Linksys WRT400N
[    0.780000] registering PCI controller with io_map_base unset
[    0.790000] bio: create slab <bio-0> at 0
[    0.800000] PCI host bridge to bus 0000:00
[    0.800000] pci_bus 0000:00: root bus resource [mem 0x10000000-0x17ffffff]
[    0.810000] pci_bus 0000:00: root bus resource [io  0x0000]
[    0.810000] pci 0000:00:11.0: [168c:ff1d] type 0 class 0x000200
[    0.810000] pci 0000:00:11.0: fixup device configuration
[    0.820000] pci 0000:00:11.0: reg 10: [mem 0x00000000-0x0000ffff]
[    0.820000] pci 0000:00:11.0: PME# supported from D0 D3hot
[    0.820000] pci 0000:00:12.0: [168c:ff1d] type 0 class 0x000200
[    0.820000] pci 0000:00:12.0: fixup device configuration
[    0.820000] pci 0000:00:12.0: reg 10: [mem 0x00000000-0x0000ffff]
[    0.820000] pci 0000:00:12.0: PME# supported from D0 D3hot
[    0.820000] pci 0000:00:11.0: BAR 0: assigned [mem 0x10000000-0x1000ffff]
[    0.830000] pci 0000:00:12.0: BAR 0: assigned [mem 0x10010000-0x1001ffff]
[    0.830000] pci 0000:00:11.0: using irq 40 for pin 1
[    0.840000] pci 0000:00:12.0: using irq 41 for pin 1
[    0.840000] Switching to clocksource MIPS
[    0.850000] NET: Registered protocol family 2
[    0.850000] IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
[    0.850000] TCP established hash table entries: 1024 (order: 1, 8192 bytes)
[    0.860000] TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
[    0.860000] TCP: Hash tables configured (established 1024 bind 1024)
[    0.870000] TCP reno registered
[    0.870000] UDP hash table entries: 256 (order: 0, 4096 bytes)
[    0.880000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[    0.880000] NET: Registered protocol family 1
[    0.890000] PCI: CLS 0 bytes, default 32
[    0.900000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[    0.910000] JFFS2 version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY  ) (c) 2001-2006 Red Hat, Inc.
[    0.920000] msgmni has been set to 56
[    0.920000] io scheduler noop registered
[    0.930000] io scheduler deadline registered (default)
[    0.930000] Serial: 8250/16550 driver, 16 ports, IRQ sharing enabled
[    0.960000] serial8250.0: ttyS0 at MMIO 0x18020000 (irq = 11) is a 16550A
[    0.970000] console [ttyS0] enabled, bootconsole disabled
[    0.980000] m25p80 spi0.0: found w25x64, expected m25p80
[    0.990000] m25p80 spi0.0: w25x64 (8192 Kbytes)
[    0.990000] Creating 9 MTD partitions on "spi0.0":
[    1.000000] 0x000000000000-0x000000030000 : "uboot"
[    1.000000] 0x000000030000-0x000000040000 : "env"
[    1.010000] 0x000000040000-0x000000180000 : "linux"
[    1.020000] 0x000000180000-0x0000007b0000 : "rootfs"
[    1.020000] mtd: partition "rootfs" set to be root filesystem
[    1.030000] mtd: partition "rootfs_data" created automatically, ofs=2F0000, l  en=4C0000
[    1.040000] 0x0000002f0000-0x0000007b0000 : "rootfs_data"
[    1.040000] 0x0000007b0000-0x0000007c0000 : "nvram"
[    1.050000] 0x0000007c0000-0x0000007d0000 : "factory"
[    1.060000] 0x0000007d0000-0x0000007f0000 : "language"
[    1.060000] 0x0000007f0000-0x000000800000 : "caldata"
[    1.070000] 0x000000040000-0x0000007b0000 : "firmware"
[    1.110000] ag71xx_mdio: probed
[    1.110000] eth0: Atheros AG71xx at 0xb9000000, irq 4
[    1.420000] eth1: Atheros AG71xx at 0xba000000, irq 5
[    1.720000] ag71xx ag71xx.1: eth1: connected to PHY at ag71xx-mdio.0:04 [uid=  004dd042, driver=Generic PHY]
[    1.730000] TCP westwood registered
[    1.740000] NET: Registered protocol family 17
[    1.740000] Bridge firewalling registered
[    1.750000] 8021q: 802.1Q VLAN Support v1.8
[    1.760000] VFS: Mounted root (squashfs filesystem) readonly on device 31:3.
[    1.760000] Freeing unused kernel memory: 200k freed
[    3.200000] ar71xx: pll_reg 0xb8050010: 0x1099
[    3.200000] eth0: link up (100Mbps/Full duplex)
[    3.220000] Registered led device: wrt400n:blue:wps
[    3.230000] Registered led device: wrt400n:amber:wps
[    3.230000] Registered led device: wrt400n:blue:wlan
[    3.230000] Registered led device: wrt400n:blue:power
[    6.460000] JFFS2 notice: (505) jffs2_build_xattr_subsystem: complete buildin  g xattr subsystem, 1 of xdatum (0 unchecked, 0 orphan) and 9 of xref (0 dead, 2   orphan) found.
[    6.600000] eth0: link down
[    7.200000] Compat-wireless backport release: compat-wireless-2012-05-16-3-gd  e86a47
[    7.210000] Backport based on wireless-testing.git master-2012-05-29
[    7.210000] compat.git: wireless-testing.git
[    7.240000] cfg80211: Calling CRDA to update world regulatory domain
[    7.250000] cfg80211: World regulatory domain updated:
[    7.250000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gai  n, max_eirp)
[    7.260000] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 20  00 mBm)
[    7.270000] cfg80211:   (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 20  00 mBm)
[    7.270000] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 20  00 mBm)
[    7.280000] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 20  00 mBm)
[    7.290000] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 20  00 mBm)
[    7.520000] usbcore: registered new interface driver usbfs
[    7.520000] usbcore: registered new interface driver hub
[    7.530000] usbcore: registered new device driver usb
[    7.870000] PCI: Enabling device 0000:00:11.0 (0000 -> 0002)
[    7.880000] ath: EEPROM regdomain: 0x13
[    7.880000] ath: EEPROM indicates we should expect a direct regpair map
[    7.880000] ath: Country alpha2 being used: 00
[    7.880000] ath: Regpair used: 0x13
[    7.890000] ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
[    7.890000] Registered led device: ath9k-phy0
[    7.890000] ieee80211 phy0: Atheros AR9280 Rev:2 mem=0xb0000000, irq=40
[    7.900000] PCI: Enabling device 0000:00:12.0 (0000 -> 0002)
[    7.910000] ath: EEPROM regdomain: 0x13
[    7.910000] ath: EEPROM indicates we should expect a direct regpair map
[    7.910000] ath: Country alpha2 being used: 00
[    7.910000] ath: Regpair used: 0x13
[    7.910000] ieee80211 phy1: Selected rate control algorithm 'minstrel_ht'
[    7.920000] Registered led device: ath9k-phy1
[    7.920000] ieee80211 phy1: Atheros AR9280 Rev:2 mem=0xb0010000, irq=41
[    7.950000] PPP generic driver version 2.4.2
[    8.050000] ip_tables: (C) 2000-2006 Netfilter Core Team
[    8.140000] NET: Registered protocol family 24
[    8.160000] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    8.180000] nf_conntrack version 0.5.0 (456 buckets, 1824 max)
[    8.350000] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[   10.660000] ar71xx: pll_reg 0xb8050010: 0x1099
[   10.660000] eth0: link up (100Mbps/Full duplex)
[   10.660000] device eth0 entered promiscuous mode
[   10.670000] br-lan: port 1(eth0) entered forwarding state
[   10.670000] br-lan: port 1(eth0) entered forwarding state
[   11.720000] ar71xx: pll_reg 0xb8050014: 0x1099
[   11.720000] eth1: link up (100Mbps/Full duplex)
[   12.670000] br-lan: port 1(eth0) entered forwarding state
[  593.300000] br-lan: port 1(eth0) entered disabled state
[  593.300000] device eth0 left promiscuous mode
[  593.310000] br-lan: port 1(eth0) entered disabled state
[  593.360000] eth0: link down
[  593.360000] ar71xx: pll_reg 0xb8050010: 0x1099
[  593.360000] eth0: link up (100Mbps/Full duplex)
[  593.370000] device eth0 entered promiscuous mode
[  593.390000] br-lan: port 1(eth0) entered forwarding state
[  593.390000] br-lan: port 1(eth0) entered forwarding state
[  595.390000] br-lan: port 1(eth0) entered forwarding state
[ 1159.430000] cfg80211: Calling CRDA for country: US
[ 1159.440000] cfg80211: Regulatory domain changed to country: US
[ 1159.440000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gai  n, max_eirp)
[ 1159.450000] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 27  00 mBm)
[ 1159.460000] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 17  00 mBm)
[ 1159.470000] cfg80211:   (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 20  00 mBm)
[ 1159.480000] cfg80211:   (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 20  00 mBm)
[ 1159.480000] cfg80211:   (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 20  00 mBm)
[ 1159.490000] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 30  00 mBm)
[ 1161.100000] device wlan0 entered promiscuous mode
[ 1162.510000] br-lan: port 2(wlan0) entered forwarding state
[ 1162.510000] br-lan: port 2(wlan0) entered forwarding state
[ 1164.510000] br-lan: port 2(wlan0) entered forwarding state
[ 1230.330000] device wlan0 left promiscuous mode
[ 1230.330000] br-lan: port 2(wlan0) entered disabled state
[ 1231.890000] device wlan0 entered promiscuous mode
[ 1233.100000] br-lan: port 2(wlan0) entered forwarding state
[ 1233.110000] br-lan: port 2(wlan0) entered forwarding state
[ 1235.110000] br-lan: port 2(wlan0) entered forwarding state
[ 1246.520000] device wlan0 left promiscuous mode
[ 1246.520000] br-lan: port 2(wlan0) entered disabled state
[ 1247.860000] device wlan0 entered promiscuous mode
[ 1249.190000] br-lan: port 2(wlan0) entered forwarding state
[ 1249.190000] br-lan: port 2(wlan0) entered forwarding state
[ 1251.190000] br-lan: port 2(wlan0) entered forwarding state
[ 1257.260000] device wlan0 left promiscuous mode
[ 1257.260000] br-lan: port 2(wlan0) entered disabled state
[ 1258.700000] device wlan0 entered promiscuous mode
[ 1260.100000] br-lan: port 2(wlan0) entered forwarding state
[ 1260.110000] br-lan: port 2(wlan0) entered forwarding state
[ 1262.110000] br-lan: port 2(wlan0) entered forwarding state
[ 1263.210000] device wlan1 entered promiscuous mode
[ 1263.310000] device wlan1 left promiscuous mode
[ 1263.310000] br-lan: port 3(wlan1) entered disabled state
[ 1287.670000] device wlan0 left promiscuous mode
[ 1287.670000] br-lan: port 2(wlan0) entered disabled state
[ 1289.550000] device wlan0 entered promiscuous mode
[ 1290.940000] br-lan: port 2(wlan0) entered forwarding state
[ 1290.950000] br-lan: port 2(wlan0) entered forwarding state
[ 1292.950000] br-lan: port 2(wlan0) entered forwarding state
[ 1294.260000] device wlan1 entered promiscuous mode
[ 1294.360000] device wlan1 left promiscuous mode
[ 1294.360000] br-lan: port 3(wlan1) entered disabled state

comment:11 Changed 6 years ago by nbd

thanks. should be fixed in r32126 - please test

comment:12 Changed 6 years ago by OP

Will do. Thank you for for fixing it.

comment:13 Changed 6 years ago by nbd

  • Resolution set to worksforme
  • Status changed from reopened to closed

comment:14 Changed 4 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

comment:15 Changed 3 years ago by OP

The 5GHz radio is not working in Barrier Breaker RC3 r42056 with behavior again as described in the OP.

root@OpenWrt:~# iw phy1 info
Wiphy phy1
        max # scan SSIDs: 4
        max scan IEs length: 2261 bytes
        Retry short limit: 7
        Retry long limit: 4
        Coverage class: 1 (up to 450m)
        Device supports AP-side u-APSD.
        Device supports T-DLS.
        Available Antennas: TX 0x3 RX 0x3
        Configured Antennas: TX 0x3 RX 0x3
        Supported interface modes:
                 * IBSS
                 * managed
                 * AP
                 * AP/VLAN
                 * WDS
                 * monitor
                 * mesh point
                 * P2P-client
                 * P2P-GO
        Band 2:
                Capabilities: 0x11ce
                        HT20/HT40
                        SM Power Save disabled
                        RX HT40 SGI
                        TX STBC
                        RX STBC 1-stream
                        Max AMSDU length: 3839 bytes
                        DSSS/CCK HT40
                Maximum RX AMPDU length 65535 bytes (exponent: 0x003)
                Minimum RX AMPDU time spacing: 8 usec (0x06)
                HT TX/RX MCS rate indexes supported: 0-15
                Frequencies:
                        * 5180 MHz [36] (17.0 dBm) (no IR)
                        * 5200 MHz [40] (17.0 dBm) (no IR)
                        * 5220 MHz [44] (17.0 dBm) (no IR)
                        * 5240 MHz [48] (17.0 dBm) (no IR)
                        * 5260 MHz [52] (20.0 dBm) (no IR, radar detection)
                          DFS state: usable (for 2148316 sec)
                          DFS CAC time: 60000 ms
                        * 5280 MHz [56] (20.0 dBm) (no IR, radar detection)
                          DFS state: usable (for 2148316 sec)
                          DFS CAC time: 60000 ms
                        * 5300 MHz [60] (20.0 dBm) (no IR, radar detection)
                          DFS state: usable (for 2148316 sec)
                          DFS CAC time: 60000 ms
                        * 5320 MHz [64] (20.0 dBm) (no IR, radar detection)
                          DFS state: usable (for 2148316 sec)
                          DFS CAC time: 60000 ms
                        * 5500 MHz [100] (disabled)
                        * 5520 MHz [104] (disabled)
                        * 5540 MHz [108] (disabled)
                        * 5560 MHz [112] (disabled)
                        * 5580 MHz [116] (disabled)
                        * 5600 MHz [120] (disabled)
                        * 5620 MHz [124] (disabled)
                        * 5640 MHz [128] (disabled)
                        * 5660 MHz [132] (disabled)
                        * 5680 MHz [136] (disabled)
                        * 5700 MHz [140] (disabled)
                        * 5745 MHz [149] (20.0 dBm) (no IR)
                        * 5765 MHz [153] (20.0 dBm) (no IR)
                        * 5785 MHz [157] (20.0 dBm) (no IR)
                        * 5805 MHz [161] (20.0 dBm) (no IR)
                        * 5825 MHz [165] (20.0 dBm) (no IR)
        valid interface combinations:
                 * #{ managed, WDS } <= 2048, #{ AP, mesh point } <= 8, #{ P2P-client, P2P-GO } <= 1, #{ IBSS } <= 1,
                   total <= 2048, #channels <= 1, STA/AP BI must match
        HT Capability overrides:
                 * MCS: ff ff ff ff ff ff ff ff ff ff
                 * maximum A-MSDU length
                 * supported channel width
                 * short GI for 40 MHz
                 * max A-MPDU length exponent
                 * min MPDU start spacing
root@OpenWrt:~#
root@OpenWrt:~# iw reg get
country US: DFS-FCC
        (2402 - 2472 @ 40), (N/A, 30), (N/A)
        (5170 - 5250 @ 80), (N/A, 17), (N/A)
        (5250 - 5330 @ 80), (N/A, 23), (0 ms), DFS
        (5735 - 5835 @ 80), (N/A, 30), (N/A)
        (57240 - 63720 @ 2160), (N/A, 40), (N/A)
root@OpenWrt:~#
root@OpenWrt:~# dmesg
[    0.000000] Linux version 3.10.49 (bb@builder1) (gcc version 4.8.3 (OpenWrt/Linaro GCC 4.8-2014.04 r41989) ) #1 Thu Aug 7 23:24:09 CEST 2014
[    0.000000] MyLoader: sysp=aaaa5554, boardp=aaaa5554, parts=aaaa5554
[    0.000000] bootconsole [early0] enabled
[    0.000000] CPU revision is: 00019374 (MIPS 24Kc)
[    0.000000] SoC: Atheros AR7161 rev 2
[    0.000000] Clocks: CPU:680.000MHz, DDR:340.000MHz, AHB:170.000MHz, Ref:40.000MHz
[    0.000000] Determined physical RAM map:
[    0.000000]  memory: 02000000 @ 00000000 (usable)
[    0.000000] Initrd not found or empty - disabling initrd
[    0.000000] Zone ranges:
[    0.000000]   Normal   [mem 0x00000000-0x01ffffff]
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x00000000-0x01ffffff]
[    0.000000] On node 0 totalpages: 8192
[    0.000000] free_area_init_node: node 0, pgdat 80334b60, node_mem_map 81000000
[    0.000000]   Normal zone: 64 pages used for memmap
[    0.000000]   Normal zone: 0 pages reserved
[    0.000000]   Normal zone: 8192 pages, LIFO batch:0
[    0.000000] Primary instruction cache 64kB, VIPT, 4-way, linesize 32 bytes.
[    0.000000] Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
[    0.000000] pcpu-alloc: s0 r0 d32768 u32768 alloc=1*32768
[    0.000000] pcpu-alloc: [0] 0
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 8128
[    0.000000] Kernel command line:  board=WRT400N console=ttyS0,115200 rootfstype=squashfs,jffs2 noinitrd
[    0.000000] PID hash table entries: 128 (order: -3, 512 bytes)
[    0.000000] Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
[    0.000000] Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
[    0.000000] Writing ErrCtl register=00000000
[    0.000000] Readback ErrCtl register=00000000
[    0.000000] Memory: 28588k/32768k available (2369k kernel code, 4180k reserved, 621k data, 272k init, 0k highmem)
[    0.000000] SLUB: HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[    0.000000] NR_IRQS:51
[    0.060000] Calibrating delay loop... 452.19 BogoMIPS (lpj=2260992)
[    0.060000] pid_max: default: 32768 minimum: 301
[    0.060000] Mount-cache hash table entries: 512
[    0.070000] NET: Registered protocol family 16
[    0.080000] MIPS: machine is Linksys WRT400N
[    0.780000] registering PCI controller with io_map_base unset
[    0.790000] bio: create slab <bio-0> at 0
[    0.800000] PCI host bridge to bus 0000:00
[    0.800000] pci_bus 0000:00: root bus resource [mem 0x10000000-0x16ffffff]
[    0.810000] pci_bus 0000:00: root bus resource [io  0x0000]
[    0.810000] pci_bus 0000:00: No busn resource found for root bus, will use [bus 00-ff]
[    0.820000] pci 0000:00:11.0: [168c:ff1d] type 00 class 0x020000
[    0.820000] pci 0000:00:11.0: fixup device configuration
[    0.820000] pci 0000:00:11.0: reg 10: [mem 0x00000000-0x0000ffff]
[    0.820000] pci 0000:00:11.0: PME# supported from D0 D3hot
[    0.820000] pci 0000:00:12.0: [168c:ff1d] type 00 class 0x020000
[    0.820000] pci 0000:00:12.0: fixup device configuration
[    0.830000] pci 0000:00:12.0: reg 10: [mem 0x00000000-0x0000ffff]
[    0.830000] pci 0000:00:12.0: PME# supported from D0 D3hot
[    0.830000] pci_bus 0000:00: busn_res: [bus 00-ff] end is updated to 00
[    0.830000] pci 0000:00:11.0: BAR 0: assigned [mem 0x10000000-0x1000ffff]
[    0.830000] pci 0000:00:12.0: BAR 0: assigned [mem 0x10010000-0x1001ffff]
[    0.840000] pci 0000:00:11.0: using irq 40 for pin 1
[    0.840000] pci 0000:00:12.0: using irq 41 for pin 1
[    0.850000] Switching to clocksource MIPS
[    0.850000] NET: Registered protocol family 2
[    0.860000] TCP established hash table entries: 512 (order: 0, 4096 bytes)
[    0.860000] TCP bind hash table entries: 512 (order: -1, 2048 bytes)
[    0.870000] TCP: Hash tables configured (established 512 bind 512)
[    0.870000] TCP: reno registered
[    0.880000] UDP hash table entries: 256 (order: 0, 4096 bytes)
[    0.880000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[    0.890000] NET: Registered protocol family 1
[    0.890000] PCI: CLS 0 bytes, default 32
[    0.910000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[    0.910000] jffs2: version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
[    0.930000] msgmni has been set to 55
[    0.930000] io scheduler noop registered
[    0.930000] io scheduler deadline registered (default)
[    0.940000] Serial: 8250/16550 driver, 16 ports, IRQ sharing enabled
[    0.970000] serial8250.0: ttyS0 at MMIO 0x18020000 (irq = 11) is a 16550A
[    0.980000] console [ttyS0] enabled, bootconsole disabled
[    0.990000] ath79-spi ath79-spi: master is unqueued, this is deprecated
[    1.000000] m25p80 spi0.0: found w25x64, expected m25p80
[    1.000000] m25p80 spi0.0: w25x64 (8192 Kbytes)
[    1.010000] Creating 9 MTD partitions on "spi0.0":
[    1.010000] 0x000000000000-0x000000030000 : "uboot"
[    1.020000] 0x000000030000-0x000000040000 : "env"
[    1.030000] 0x000000040000-0x000000180000 : "linux"
[    1.030000] 0x000000180000-0x0000007b0000 : "rootfs"
[    1.040000] mtd: device 3 (rootfs) set to be root filesystem
[    1.050000] 1 squashfs-split partitions found on MTD device rootfs
[    1.050000] 0x000000390000-0x0000007b0000 : "rootfs_data"
[    1.060000] 0x0000007b0000-0x0000007c0000 : "nvram"
[    1.070000] 0x0000007c0000-0x0000007d0000 : "factory"
[    1.070000] 0x0000007d0000-0x0000007f0000 : "language"
[    1.080000] 0x0000007f0000-0x000000800000 : "caldata"
[    1.090000] 0x000000040000-0x0000007b0000 : "firmware"
[    1.110000] libphy: ag71xx_mdio: probed
[    1.420000] eth0: Atheros AG71xx at 0xb9000000, irq 4, mode:RMII
[    1.720000] ag71xx ag71xx.1: connected to PHY at ag71xx-mdio.0:04 [uid=004dd042, driver=Generic PHY]
[    1.730000] eth1: Atheros AG71xx at 0xba000000, irq 5, mode:RMII
[    1.740000] TCP: cubic registered
[    1.750000] NET: Registered protocol family 17
[    1.750000] Bridge firewalling registered
[    1.760000] 8021q: 802.1Q VLAN Support v1.8
[    1.770000] VFS: Mounted root (squashfs filesystem) readonly on device 31:3.
[    1.780000] Freeing unused kernel memory: 272K (8034c000 - 80390000)
[    3.940000] ar71xx: pll_reg 0xb8050010: 0x1099
[    3.940000] eth0: link up (100Mbps/Full duplex)
[    7.260000] jffs2: notice: (357) jffs2_build_xattr_subsystem: complete building xattr subsystem, 1 of xdatum (1 unchecked, 0 orphan) and 23 of xref (0 dead, 9 orphan) found.
[    7.300000] eth0: link down
[    8.840000] NET: Registered protocol family 10
[    8.850000] nf_conntrack version 0.5.0 (450 buckets, 1800 max)
[    8.860000] ip6_tables: (C) 2000-2006 Netfilter Core Team
[    8.880000] Loading modules backported from Linux version master-2014-05-22-0-gf2032ea
[    8.880000] Backport generated by backports.git backports-20140320-37-g5c33da0
[    8.890000] ip_tables: (C) 2000-2006 Netfilter Core Team
[    8.940000] xt_time: kernel timezone is -0000
[    8.990000] cfg80211: Calling CRDA to update world regulatory domain
[    9.010000] cfg80211: World regulatory domain updated:
[    9.010000] cfg80211:  DFS Master region: unset
[    9.020000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp), (dfs_cac_time)
[    9.030000] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (N/A, 2000 mBm), (N/A)
[    9.030000] cfg80211:   (2457000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm), (N/A)
[    9.040000] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (N/A, 2000 mBm), (N/A)
[    9.050000] cfg80211:   (5170000 KHz - 5250000 KHz @ 160000 KHz), (N/A, 2000 mBm), (N/A)
[    9.060000] cfg80211:   (5250000 KHz - 5330000 KHz @ 160000 KHz), (N/A, 2000 mBm), (0 s)
[    9.070000] cfg80211:   (5490000 KHz - 5730000 KHz @ 160000 KHz), (N/A, 2000 mBm), (0 s)
[    9.070000] cfg80211:   (5735000 KHz - 5835000 KHz @ 80000 KHz), (N/A, 2000 mBm), (N/A)
[    9.080000] cfg80211:   (57240000 KHz - 63720000 KHz @ 2160000 KHz), (N/A, 0 mBm), (N/A)
[    9.110000] PPP generic driver version 2.4.2
[    9.110000] NET: Registered protocol family 24
[    9.150000] PCI: Enabling device 0000:00:11.0 (0000 -> 0002)
[    9.170000] ath: EEPROM regdomain: 0x13
[    9.170000] ath: EEPROM indicates we should expect a direct regpair map
[    9.170000] ath: Country alpha2 being used: 00
[    9.170000] ath: Regpair used: 0x13
[    9.180000] ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
[    9.190000] ieee80211 phy0: Atheros AR9280 Rev:2 mem=0xb0000000, irq=40
[    9.220000] PCI: Enabling device 0000:00:12.0 (0000 -> 0002)
[    9.230000] ath: EEPROM regdomain: 0x13
[    9.230000] ath: EEPROM indicates we should expect a direct regpair map
[    9.230000] ath: Country alpha2 being used: 00
[    9.230000] ath: Regpair used: 0x13
[    9.260000] ieee80211 phy1: Selected rate control algorithm 'minstrel_ht'
[    9.260000] ieee80211 phy1: Atheros AR9280 Rev:2 mem=0xb0010000, irq=41
[   14.580000] ar71xx: pll_reg 0xb8050010: 0x1099
[   14.580000] eth0: link up (100Mbps/Full duplex)
[   14.580000] device eth0 entered promiscuous mode
[   14.600000] IPv6: ADDRCONF(NETDEV_UP): br-lan: link is not ready
[   14.640000] IPv6: ADDRCONF(NETDEV_UP): eth1: link is not ready
[   15.580000] br-lan: port 1(eth0) entered forwarding state
[   15.580000] br-lan: port 1(eth0) entered forwarding state
[   15.630000] IPv6: ADDRCONF(NETDEV_CHANGE): br-lan: link becomes ready
[   15.710000] cfg80211: Calling CRDA for country: US
[   15.710000] cfg80211: Regulatory domain changed to country: US
[   15.720000] cfg80211:  DFS Master region: FCC
[   15.720000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp), (dfs_cac_time)
[   15.730000] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (N/A, 3000 mBm), (N/A)
[   15.740000] cfg80211:   (5170000 KHz - 5250000 KHz @ 80000 KHz), (N/A, 1700 mBm), (N/A)
[   15.750000] cfg80211:   (5250000 KHz - 5330000 KHz @ 80000 KHz), (N/A, 2300 mBm), (0 s)
[   15.760000] cfg80211:   (5735000 KHz - 5835000 KHz @ 80000 KHz), (N/A, 3000 mBm), (N/A)
[   15.760000] cfg80211:   (57240000 KHz - 63720000 KHz @ 2160000 KHz), (N/A, 4000 mBm), (N/A)
[   15.800000] ar71xx: pll_reg 0xb8050014: 0x1099
[   15.800000] eth1: link up (100Mbps/Full duplex)
[   15.800000] IPv6: ADDRCONF(NETDEV_CHANGE): eth1: link becomes ready
[   17.580000] br-lan: port 1(eth0) entered forwarding state
[   17.670000] IPv6: ADDRCONF(NETDEV_UP): wlan0: link is not ready
[   17.680000] device wlan0 entered promiscuous mode
[   17.720000] IPv6: ADDRCONF(NETDEV_UP): wlan1: link is not ready
[   17.780000] device wlan1 entered promiscuous mode
[   17.780000] br-lan: port 3(wlan1) entered forwarding state
[   17.790000] br-lan: port 3(wlan1) entered forwarding state
[   17.820000] device wlan1 left promiscuous mode
[   17.820000] br-lan: port 3(wlan1) entered disabled state
[   19.170000] br-lan: port 2(wlan0) entered forwarding state
[   19.180000] br-lan: port 2(wlan0) entered forwarding state
[   19.180000] IPv6: ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[   21.180000] br-lan: port 2(wlan0) entered forwarding state
root@OpenWrt:~#

comment:16 Changed 3 years ago by OP

  • Resolution worksforme deleted
  • Status changed from closed to reopened

Setting status as reopened.

comment:17 follow-up: Changed 3 years ago by skarsnick@…

Hey good afternoon gentlemen,
I'm trying to set the 2.4 AND the 5 GHz wifi on my system, I have a
Dual Band Wireless USB adapter Asus

usb 3-1: New USB device found, idVendor=0b05, idProduct=179d
usb 3-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
usb 3-1: Product: 802.11 n WLAN
usb 3-1: Manufacturer: Ralink
usb 3-1: SerialNumber: 1.0

and I'm using hostapd (hostapd-2.0.tar.gz), and I thing I have the same issue than you :

ADDRCONF(NETDEV_UP): wlan0: link is not ready
random: Trying to read entropy from /dev/random
Configuration file: /tmp/wifiap_hostapd.cfg
nl80211: interface wlan0 in phy phy0
rfkill: initial event: idx=0 type=1 op=0 soft=0 hard=0
nl80211: Using driver-based off-channel TX
nl80211: Add own interface ifindex 7
nl80211: Set mode ifindex 7 iftype 3 (AP)
rt2800usb 3-1:1.0: mon.wlan0: Features changed: 0x00004800 -> 0x00004000
nl80211: Setup AP - device_ap_sme=0 use_monitor=1
nl80211: Create interface iftype 6 (MONITOR)
nl80211: New interface mon.wlan0 created: ifindex=23
nl80211: Add own interface ifindex 23
ADDRCONF(NETDEV_UP): wlan0: link is not ready
BSS count 1, BSSID mask 00:00:00:00:00:00 (0 bits)
nl80211: Regulatory information - country=00
nl80211: 2402-2472 @ 40 MHz
nl80211: 2457-2482 @ 20 MHz
nl80211: 2474-2494 @ 20 MHz
nl80211: 5170-5250 @ 40 MHz
nl80211: 5735-5835 @ 40 MHz
nl80211: Added 802.11b mode based on 802.11g information
Allowed channel: mode=1 chan=1 freq=2412 MHz max_tx_power=0 dBm
Allowed channel: mode=1 chan=2 freq=2417 MHz max_tx_power=0 dBm
Allowed channel: mode=1 chan=3 freq=2422 MHz max_tx_power=0 dBm
Allowed channel: mode=1 chan=4 freq=2427 MHz max_tx_power=0 dBm
Allowed channel: mode=1 chan=5 freq=2432 MHz max_tx_power=0 dBm
Allowed channel: mode=1 chan=6 freq=2437 MHz max_tx_power=0 dBm
Allowed channel: mode=1 chan=7 freq=2442 MHz max_tx_power=0 dBm
Allowed channel: mode=1 chan=8 freq=2447 MHz max_tx_power=0 dBm
Allowed channel: mode=1 chan=9 freq=2452 MHz max_tx_power=0 dBm
Allowed channel: mode=1 chan=10 freq=2457 MHz max_tx_power=0 dBm
Allowed channel: mode=1 chan=11 freq=2462 MHz max_tx_power=0 dBm
Allowed channel: mode=0 chan=1 freq=2412 MHz max_tx_power=0 dBm
Allowed channel: mode=0 chan=2 freq=2417 MHz max_tx_power=0 dBm
Allowed channel: mode=0 chan=3 freq=2422 MHz max_tx_power=0 dBm
Allowed channel: mode=0 chan=4 freq=2427 MHz max_tx_power=0 dBm
Allowed channel: mode=0 chan=5 freq=2432 MHz max_tx_power=0 dBm
Allowed channel: mode=0 chan=6 freq=2437 MHz max_tx_power=0 dBm
Allowed channel: mode=0 chan=7 freq=2442 MHz max_tx_power=0 dBm
Allowed channel: mode=0 chan=8 freq=2447 MHz max_tx_power=0 dBm
Allowed channel: mode=0 chan=9 freq=2452 MHz max_tx_power=0 dBm
Allowed channel: mode=0 chan=10 freq=2457 MHz max_tx_power=0 dBm
Allowed channel: mode=0 chan=11 freq=2462 MHz max_tx_power=0 dBm
channel [2] (40) is disabled for use in AP mode, flags: 0x77 NO-IBSS PASSIVE-SCAN
'''wlan0: IEEE 802.11 Configured channel (40) not found from the channel list of current mode (2) IEEE 802.11a
wlan0: IEEE 802.11 Hardware does not support configured channel
Could not select hw_mode and channel. (-4)
wlan0: Unable to setup interface.'''
wlan0: Flushing old station entries
wlan0: Deauthenticate all stations
wpa_driver_nl80211_set_key: ifindex=7 alg=0 addr=(nil) key_idx=0 set_tx=0 seq_len=0 key_len=0
wpa_driver_nl80211_set_key: ifindex=7 alg=0 addr=(nil) key_idx=1 set_tx=0 seq_len=0 key_len=0
wpa_driver_nl80211_set_key: ifindex=7 alg=0 addr=(nil) key_idx=2 set_tx=0 seq_len=0 key_len=0
wpa_driver_nl80211_set_key: ifindex=7 alg=0 addr=(nil) key_idx=3 set_tx=0 seq_len=0 key_len=0
nl80211: Remove interface ifindex=23
netlink: Operstate: linkmode=0, operstate=6
nl80211: Set mode ifindex 7 iftype 2 (STATION)
brctl: bridge br0: Operation not supported

Here is my conf file :

interface=wlan0
driver=nl80211
logger_stdout=-1
logger_stdout_level=2
ssid=testtest
hw_mode=a
channel=40
max_num_sta=25
wpa=2
wpa_passphrase=stb_unprov
wpa_key_mgmt=WPA-PSK
wpa_pairwise=CCMP

/var/log/messages :

Jan  1 04:23:56 (none) daemon.warn hostapd: wlan0: IEEE 802.11 Configured channel (40) not found from the channel list of current mode (2) IEEE 802.11a
Jan  1 04:23:56 (none) daemon.warn hostapd: wlan0: IEEE 802.11 Hardware does not support configured channel

and iw list

# iw list
Wiphy phy0
        Band 1:
                Capabilities: 0x2f2
                        HT20/HT40
                        Static SM Power Save
                        RX Greenfield
                        RX HT20 SGI
                        RX HT40 SGI
                        TX STBC
                        RX STBC 2-streams
                        Max AMSDU length: 3839 bytes
                        No DSSS/CCK HT40
                Maximum RX AMPDU length 65535 bytes (exponent: 0x003)
                Minimum RX AMPDU time spacing: 2 usec (0x04)
                HT RX MCS rate indexes supported: 0-15, 32
                TX unequal modulation not supported
                HT TX Max spatial streams: 2
                HT TX MCS rate indexes supported may differ
                Frequencies:
                        * 2412 MHz [1] (0.0 dBm)
                        * 2417 MHz [2] (0.0 dBm)
                        * 2422 MHz [3] (0.0 dBm)
                        * 2427 MHz [4] (0.0 dBm)
                        * 2432 MHz [5] (0.0 dBm)
                        * 2437 MHz [6] (0.0 dBm)
                        * 2442 MHz [7] (0.0 dBm)
                        * 2447 MHz [8] (0.0 dBm)
                        * 2452 MHz [9] (0.0 dBm)
                        * 2457 MHz [10] (0.0 dBm)
                        * 2462 MHz [11] (0.0 dBm)
                        * 2467 MHz [12] (0.0 dBm) (passive scanning, no IBSS)
                        * 2472 MHz [13] (0.0 dBm) (passive scanning, no IBSS)
                        * 2484 MHz [14] (0.0 dBm) (passive scanning, no IBSS)
                Bitrates (non-HT):
                        * 1.0 Mbps
                        * 2.0 Mbps (short preamble supported)
                        * 5.5 Mbps (short preamble supported)
                        * 11.0 Mbps (short preamble supported)
                        * 6.0 Mbps
                        * 9.0 Mbps
                        * 12.0 Mbps
                        * 18.0 Mbps
                        * 24.0 Mbps
                        * 36.0 Mbps
                        * 48.0 Mbps
                        * 54.0 Mbps
        Band 2:
                Capabilities: 0x2f2
                        HT20/HT40
                        Static SM Power Save
                        RX Greenfield
                        RX HT20 SGI
                        RX HT40 SGI
                        TX STBC
                        RX STBC 2-streams
                        Max AMSDU length: 3839 bytes
                        No DSSS/CCK HT40
                Maximum RX AMPDU length 65535 bytes (exponent: 0x003)
                Minimum RX AMPDU time spacing: 2 usec (0x04)
                HT RX MCS rate indexes supported: 0-15, 32
                TX unequal modulation not supported
                HT TX Max spatial streams: 2
                HT TX MCS rate indexes supported may differ
                Frequencies:
                        * 5180 MHz [36] (0.0 dBm) (passive scanning, no IBSS)
                        * 5190 MHz [38] (0.0 dBm) (passive scanning, no IBSS)
                        * 5200 MHz [40] (0.0 dBm) (passive scanning, no IBSS)
                        * 5220 MHz [44] (0.0 dBm) (passive scanning, no IBSS)
                        * 5230 MHz [46] (0.0 dBm) (passive scanning, no IBSS)
                        * 5240 MHz [48] (0.0 dBm) (passive scanning, no IBSS)
                        * 5260 MHz [52] (disabled)
                        * 5270 MHz [54] (disabled)
                        * 5280 MHz [56] (disabled)
                        * 5300 MHz [60] (disabled)
                        * 5310 MHz [62] (disabled)
                        * 5320 MHz [64] (disabled)
                        * 5500 MHz [100] (disabled)
                        * 5510 MHz [102] (disabled)
                        * 5520 MHz [104] (disabled)
                        * 5540 MHz [108] (disabled)
                        * 5550 MHz [110] (disabled)
                        * 5560 MHz [112] (disabled)
                        * 5580 MHz [116] (disabled)
                        * 5590 MHz [118] (disabled)
                        * 5600 MHz [120] (disabled)
                        * 5620 MHz [124] (disabled)
                        * 5630 MHz [126] (disabled)
                        * 5640 MHz [128] (disabled)
                        * 5660 MHz [132] (disabled)
                        * 5670 MHz [134] (disabled)
                        * 5680 MHz [136] (disabled)
                        * 5700 MHz [140] (disabled)
                        * 5745 MHz [149] (0.0 dBm) (passive scanning, no IBSS)
                        * 5755 MHz [151] (0.0 dBm) (passive scanning, no IBSS)
                        * 5765 MHz [153] (0.0 dBm) (passive scanning, no IBSS)
                        * 5785 MHz [157] (0.0 dBm) (passive scanning, no IBSS)
                        * 5795 MHz [159] (0.0 dBm) (passive scanning, no IBSS)
                        * 5805 MHz [161] (0.0 dBm) (passive scanning, no IBSS)
                        * 5825 MHz [165] (0.0 dBm) (passive scanning, no IBSS)
                        * 5835 MHz [167] (disabled)
                        * 5845 MHz [169] (disabled)
                        * 5855 MHz [171] (disabled)
                        * 5865 MHz [173] (disabled)
                Bitrates (non-HT):
                        * 6.0 Mbps
                        * 9.0 Mbps
                        * 12.0 Mbps
                        * 18.0 Mbps
                        * 24.0 Mbps
                        * 36.0 Mbps
                        * 48.0 Mbps
                        * 54.0 Mbps
        max # scan SSIDs: 4
        max scan IEs length: 2257 bytes
        Coverage class: 0 (up to 0m)
        Supported Ciphers:
                * WEP40 (00-0f-ac:1)
                * WEP104 (00-0f-ac:5)
                * TKIP (00-0f-ac:2)
                * CCMP (00-0f-ac:4)
        Available Antennas: TX 0 RX 0
        Supported interface modes:
                 * IBSS
                 * managed
                 * AP
                 * AP/VLAN
                 * WDS
                 * monitor
                 * mesh point
        software interface modes (can always be added):
                 * AP/VLAN
                 * monitor
        interface combinations are not supported
        Supported commands:
                 * new_interface
                 * set_interface
                 * new_key
                 * start_ap
                 * new_station
                 * new_mpath
                 * set_mesh_config
                 * set_bss
                 * authenticate
                 * associate
                 * deauthenticate
                 * disassociate
                 * join_ibss
                 * join_mesh
                 * set_tx_bitrate_mask
                 * frame
                 * frame_wait_cancel
                 * set_wiphy_netns
                 * set_channel
                 * set_wds_peer
                 * probe_client
                 * set_noack_map
                 * register_beacons
                 * connect
                 * disconnect
        Supported TX frame types:
                 * IBSS: 0x00 0x10 0x20 0x30 0x40 0x50 0x60 0x70 0x80 0x90 0xa0 0xb0 0xc0 0xd0 0xe0 0xf0
                 * managed: 0x00 0x10 0x20 0x30 0x40 0x50 0x60 0x70 0x80 0x90 0xa0 0xb0 0xc0 0xd0 0xe0 0xf0
                 * AP: 0x00 0x10 0x20 0x30 0x40 0x50 0x60 0x70 0x80 0x90 0xa0 0xb0 0xc0 0xd0 0xe0 0xf0
                 * AP/VLAN: 0x00 0x10 0x20 0x30 0x40 0x50 0x60 0x70 0x80 0x90 0xa0 0xb0 0xc0 0xd0 0xe0 0xf0
                 * mesh point: 0x00 0x10 0x20 0x30 0x40 0x50 0x60 0x70 0x80 0x90 0xa0 0xb0 0xc0 0xd0 0xe0 0xf0
                 * P2P-client: 0x00 0x10 0x20 0x30 0x40 0x50 0x60 0x70 0x80 0x90 0xa0 0xb0 0xc0 0xd0 0xe0 0xf0
                 * P2P-GO: 0x00 0x10 0x20 0x30 0x40 0x50 0x60 0x70 0x80 0x90 0xa0 0xb0 0xc0 0xd0 0xe0 0xf0
        Supported RX frame types:
                 * IBSS: 0xd0
                 * managed: 0x40 0xd0
                 * AP: 0x00 0x20 0x40 0xa0 0xb0 0xc0 0xd0
                 * AP/VLAN: 0x00 0x20 0x40 0xa0 0xb0 0xc0 0xd0
                 * mesh point: 0xb0 0xc0 0xd0
                 * P2P-client: 0x40 0xd0
                 * P2P-GO: 0x00 0x20 0x40 0xa0 0xb0 0xc0 0xd0
        HT Capability overrides:
                 * MCS: ff ff ff ff ff ff ff ff ff ff
                 * maximum A-MSDU length
                 * supported channel width
                 * short GI for 40 MHz
                 * max A-MPDU length exponent
                 * min MPDU start spacing
        Device supports HT-IBSS.

# iw reg get
country 00:
        (2402 - 2472 @ 40), (3, 20)
        (2457 - 2482 @ 20), (3, 20), PASSIVE-SCAN, NO-IBSS
        (2474 - 2494 @ 20), (3, 20), NO-OFDM, PASSIVE-SCAN, NO-IBSS
        (5170 - 5250 @ 40), (3, 20), PASSIVE-SCAN, NO-IBSS
        (5735 - 5835 @ 40), (3, 20), PASSIVE-SCAN, NO-IBSS

comment:18 in reply to: ↑ 17 Changed 3 years ago by OP

Replying to skarsnick@…:

Hey good afternoon gentlemen,
I'm trying to set the 2.4 AND the 5 GHz wifi on my system, I have a
Dual Band Wireless USB adapter Asus

. . .

Are you saying that you have a Linksys WRT400N router that you're trying to use with this Asus adapter? I'm unclear on whether you're reporting a similar problem with the WRT400N or attaching an unrelated response to this thread.

comment:19 Changed 3 years ago by skarsnick@…

Hu !
I'm really sorry, I'm not using the WRT400N.
I'm using a plateform on my own.
Seems to be the same bug but clearly not the right place to post my comment.
Sorry.

comment:20 Changed 3 years ago by hammmy

Okay, I've burned up a morning trying to get this sorted. No luck so far but here's what I have:

The fix in Backfire was to change the regulatory.bin file.

The fix in Attitude Adjustment was to delete PASSIVE-SCAN and NO-IBSS from the regulatory database file for channel 5170-5250 (/changeset/32126.html).

Probably, these were the same fixes but the problem was that the regulatory database file moved or got renamed from one release to the other. Now, this appears to have happened again in Barrier Breaker but I can't find where that regulatory database is located now.

Jow posted a reghack utility that "replaces the regulatory domain rules in the driver binaries
with less restrictive ones. The current version also lifts the 5GHz radar
channel restrictions in ath9k." (http://luci.subsignal.org/~jow/reghack/README.txt). The reghack itself is located one directory up at that URL. My vague grasp of the issues (PASSIVE-SCAN, NO-IBSS, NO-IR) leads me to think that Jow is referencing this with "lifts the radar restrictions" but I'm not sure and I'm hesitant to hack this in when I don't know what I'm doing.

In short, please help!

comment:21 Changed 3 years ago by hammmy

I changed my mind and blindly applied the reghack as directed for Atheros in the README.txt. It works! However, auto channel mode for the 5GHz radio does not work. Manually selecting a channel works, as does 40MHz channel mode. I set my regulatory area to the US country code and that didn't cause any problems, either--assuming the hack doesn't simply ignore what the user sets.

Thanks, Jow!

comment:22 Changed 3 years ago by Harlock

I just used the reghack to to get my 5ghz radio working again, it was working with a barrier breaker trunk build then i installed the release and it stopped working.

comment:23 Changed 3 years ago by jogo

  • Resolution set to fixed
  • Status changed from reopened to closed

This was fixed in trunk in r42882.

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.